## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesWrapperHelper Class Reference

List of all members.

## Public Types

- typedef XMLSize_t XercesStringLengthType

## Static Public Member Functions

- const XMLCh * XalanDOMStringToXercesDOMString (const XalanDOMString &theString)
- bool isSupported (const DOMNodeType *theXercesNode, const XalanDOMString &feature, const XalanDOMString &version)
- const XalanDOMString & substringData (const DOMCharacterDataType *theXercesNode, unsigned int offset, unsigned int count, XalanDOMString &theResult)

## Member Typedef Documentation

typedef XMLSize_t XercesWrapperHelper::XercesStringLengthType

## Member Function Documentation

bool XercesWrapperHelper::isSupported | ( | const DOMNodeType * | theXercesNode,
|  | const XalanDOMString & | feature,
|  | const XalanDOMString & | version
| ) | `[static]`

const XalanDOMString& XercesWrapperHelper::substringData | ( | const DOMCharacterDataType * | theXercesNode,
|  | unsigned int | offset,
|  | unsigned int | count,
|  | XalanDOMString & | theResult
| ) | `[static]`

const XMLCh* XercesWrapperHelper::XalanDOMStringToXercesDOMString | ( | const XalanDOMString & | theString | ) | `[static]`

The documentation for this class was generated from the following file:

- XercesWrapperHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.